Module java.desktop
Package javax.print.event

## Interface PrintJobAttributeListener

    public interface PrintJobAttributeListener

Implementations of this interface are attached to a `DocPrintJob` to monitor the status of attribute changes associated with the print job.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `attributeUpdate(PrintJobAttributeEvent pjae)` Notifies the listener of a change in some print job attributes.

### Method Detail

#### attributeUpdate

    void attributeUpdate(PrintJobAttributeEvent pjae)

Notifies the listener of a change in some print job attributes. One example of an occurrence triggering this event is if the `JobState` attribute changed from `PROCESSING` to `PROCESSING_STOPPED`.

Parameters:
  `pjae` - the event.